libraw1394: version 2.0.4
Prev |  | Next

# raw1394_iso_xmit_init

## Name

raw1394_iso_xmit_init -- initialize isochronous transmission

## Synopsis

``int raw1394_iso_xmit_init` (raw1394handle_t handle, raw1394_iso_xmit_handler_t handler, unsigned int buf_packets, unsigned int max_packet_size, unsigned char channel, enum raw1394_iso_speed speed, int irq_interval);`

## Arguments

`handle`

  libraw1394 handle

`handler`

  handler function for queueing packets

`buf_packets`

  number of isochronous packets to buffer

`max_packet_size`

  largest packet you need to handle, in bytes (not including the isochronous header)

`channel`

  isochronous channel on which to transmit

`speed`

  speed at which to transmit

`irq_interval`

  maximum latency of wake-ups, in packets (-1 if you don't care)

## Description

Allocates all user and kernel resources necessary for isochronous transmission. Channel and bandwidth allocation at the IRM is not performed.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
Function Reference | Up | raw1394_iso_recv_init